org.apache.felix.ipojo.bnd

## Class ByteArrayResource

- java.lang.Object
- - aQute.bnd.osgi.AbstractResource
  - - org.apache.felix.ipojo.bnd.ByteArrayResource

All Implemented Interfaces:
  aQute.bnd.osgi.Resource

    public class ByteArrayResource
    extends aQute.bnd.osgi.AbstractResource

A `ByteArrayResource` is ...

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ByteArrayResource(byte[] content)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected byte[]` `getBytes()`

### Methods inherited from class aQute.bnd.osgi.AbstractResource

`getExtra, lastModified, openInputStream, setExtra, size, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteArrayResource

    public ByteArrayResource(byte[] content)

### Method Detail

#### getBytes

    protected byte[] getBytes()
                       throws Exception

Specified by:
  `getBytes` in class `aQute.bnd.osgi.AbstractResource`
Throws:
  `Exception`